<?php
function threadedComments($comments, $options) {
    $cby = $comments->authorId == $comments->ownerId ? '<span class="cby">博主</span>' : '';
    $clevel = $comments->levels > 0 ? 'c_c' : 'c_p';
    $author = $comments->url ? '<a href="' . $comments->url . '"'.'" target="_blank"' . ' rel="external">' . $comments->author . '</a>' : $comments->author;
?>
<li id="li-<?php $comments->theId(); ?>" class="<?php echo $clevel;?>">
<div id="<?php $comments->theId(); ?>">

    <div class="cp">
    <?php $comments->content(); ?>
        <div class="cm"><span class="ca"><?php echo $author ?></span>&nbsp;<?php echo $cby;?>&nbsp;<?php $comments->date(); ?><span class="cr"><?php $comments->reply(); ?></span></div>
    </div>
</div>
<?php if ($comments->children){ ?><div class="children"><?php $comments->threadedComments($options); ?></div><?php } ?>
</li>
<?php } ?>


<div id="comments" class="cf">
<?php $this->comments()->to($comments); ?>


<div id="<?php $this->respondId(); ?>" class="respond">
    <div class="ccr"><?php $comments->cancelReply(); ?></div>
    <h4><span class="icon-pen"></span> 发表新评论</h4>
<form method="post" action="<?php $this->commentUrl() ?>" id="cf" role="form">
<?php if($this->user->hasLogin()): ?>

    <span>已登入 [ <a href="<?php $this->options->profileUrl(); ?>"><?php $this->user->screenName(); ?></a> ] <a href="<?php $this->options->logoutUrl(); ?>" title="Logout">退出 &raquo;</a></span>

<?php else: ?>

        <div class="ainfo">

        <div class="tbox">
        <input type="text" name="author" id="author" class="ci" placeholder="称呼 *" value="<?php $this->remember('author'); ?>" required>
        <input type="email" name="mail" id="mail" class="ci" placeholder="邮箱 *" value="<?php $this->remember('mail'); ?>" required>
        <input type="url" name="url" id="url" class="ci" placeholder="http://" value="<?php $this->remember('url'); ?>">
<?php spam_protection_math();?>
        </div>
        </div>

        <?php endif ; ?>
    <div class="tbox"><textarea name="text" id="textarea" class="ci" onkeydown="if(event.ctrlKey&&event.keyCode==13){document.getElementById('submit').click();return false};" placeholder="评论审核通过后显示，请勿重复提交，谢谢" required ><?php $this->remember('text',false); ?></textarea></div>

    <button type="submit" class="submit" id="submit">提交评论 (Ctrl + Enter)</button>
</form>
</div>



<?php if ($comments->have()): ?>
    <h4><span class="icon-file-text2"></span> <?php $this->commentsNum(_t('暂无评论'), _t('仅有 1 条评论'), _t('已有 %d 条评论')); ?></h4>
    <?php $comments->listComments(); ?><?php $comments->pageNav('<span class="icon-arrow-left2"></span>', '<span class="icon-arrow-right2"></span>'); ?>
<?php endif; ?>
</div>